+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 13
  1. #1
    Junior Member
    Using
    AutoCAD 2009
    Join Date
    Apr 2009
    Posts
    13

    Default How do I display an empty/blank dimension value?

    I remember doing this a few years ago, but forget the text formatting control codes. When clicking on a dimension than checking the Properties palette, I go down to the Text Override box and put in some kind of code to display a blank/empty value. It looked something like this < \>. Does anyone remember how to do that? Maybe I have the symbols in the wrong order or need a letter after the backslash. I know <> returns the actual dimension value, but what combination of letters symbols hides the value, so it can't be seen in the drawing? Basically what would be seen is a dimension without any text or numbers.

  2. #2
    Super Member kencaz's Avatar
    Computer Details
    kencaz's Computer Details
    Operating System:
    XP Pro, Vista, Linux,W7
    Computer:
    HP,s Dell
    Discipline
    Mechanical
    kencaz's Discipline Details
    Occupation
    Designer/Machinist
    Discipline
    Mechanical
    Using
    AutoCAD 2013
    Join Date
    Jul 2007
    Location
    Las Vegas, NV
    Posts
    759

    Default

    ALT+255 in Text override will display nothing but still have a gap where the dim should be.

    KC
    Some of my AutoCAD and Inventor Pics and Videos...
    http://www.youtube.com/kencaz45



  3. #3
    Junior Member
    Using
    AutoCAD 2009
    Join Date
    Apr 2009
    Posts
    13

    Default

    Quote Originally Posted by kencaz View Post
    ALT+255 in Text override will display nothing but still have a gap where the dim should be.

    KC
    Ok, KC, I'll try that tomorrow. Maybe I can get rid of the gap if I adjust the properties to move where the supposed text would be to another area of the dimension. Anyone else know what I'm searching for?

  4. #4
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,143

    Default

    Try just putting a single space " ".
    DropBox | finding the light...
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

  5. #5
    Junior Member
    Using
    AutoCAD 2009
    Join Date
    Apr 2009
    Posts
    13

    Default

    Quote Originally Posted by alanjt View Post
    Try just putting a single space " ".
    Alright, Alan, I'll try that too. If I figure it out, I'll be sure to post it tomorrow. Good night.

  6. #6
    Super Member Tankman's Avatar
    Computer Details
    Tankman's Computer Details
    Operating System:
    XP Pro SP3
    Computer:
    IBM T60 Thinkpad™
    Monitor:
    36" LCD Monitor/TV, 14" Thinkpad™ T60
    Using
    AutoCAD 2007
    Join Date
    Mar 2008
    Location
    Eastern PA, USA
    Posts
    1,794

    Default

    Quote Originally Posted by kencaz View Post
    ALT+255 in Text override will display nothing but still have a gap where the dim should be.

    KC
    I'm going to try just as soon as I can. Oops! Just worked between try 'n just. Nice!

    I see a simple tap on the spacebar worked too. Fast 'n easy!
    Last edited by Tankman; 31st Mar 2010 at 02:29 pm.
    Tankman

    "When the well is dry, we know the worth of water." Ben Franklin ~ 1746

  7. #7
    Super Member kencaz's Avatar
    Computer Details
    kencaz's Computer Details
    Operating System:
    XP Pro, Vista, Linux,W7
    Computer:
    HP,s Dell
    Discipline
    Mechanical
    kencaz's Discipline Details
    Occupation
    Designer/Machinist
    Discipline
    Mechanical
    Using
    AutoCAD 2013
    Join Date
    Jul 2007
    Location
    Las Vegas, NV
    Posts
    759

    Default

    Quote Originally Posted by alanjt View Post
    Try just putting a single space " ".
    LOL, I had to go and make it all complicated...

    KC
    Some of my AutoCAD and Inventor Pics and Videos...
    http://www.youtube.com/kencaz45



  8. #8
    Junior Member
    Using
    AutoCAD 2009
    Join Date
    Apr 2009
    Posts
    13

    Default

    Quote Originally Posted by alanjt View Post
    Try just putting a single space " ".
    @Alan: Yep, a simple space suffices! Thanks all for sharing.

  9. #9
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,143

    Default

    Quote Originally Posted by kencaz View Post
    LOL, I had to go and make it all complicated...
    KC
    No worries. I do that same thing all the time.

    Quote Originally Posted by dughug View Post
    @Alan: Yep, a simple space suffices! Thanks all for sharing.
    Good deal. Here's a little code to make life even easier...
    Code:
    (defun c:DimBlank (/ ss e)
      (vl-load-com)
      (and (setq ss (ssget "_:L" '((0 . "DIMENSION"))))
           ((lambda (i)
              (while (setq e (ssname ss (setq i (1+ i))))
                (vl-catch-all-apply
                  (function vla-put-textoverride)
                  (list (vlax-ename->vla-object e) " ")
                ) ;_ vl-catch-all-apply
              ) ;_ while
            ) ;_ lambda
             -1
           )
      ) ;_ and
      (princ)
    ) ;_ defun
    DropBox | finding the light...
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

  10. #10
    Junior Member
    Using
    AutoCAD 2009
    Join Date
    Apr 2009
    Posts
    13

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by alanjt View Post
    No worries. I do that same thing all the time.



    Good deal. Here's a little code to make life even easier...
    Code:
    (defun c:DimBlank (/ ss e)
      (vl-load-com)
      (and (setq ss (ssget "_:L" '((0 . "DIMENSION"))))
           ((lambda (i)
              (while (setq e (ssname ss (setq i (1+ i))))
                (vl-catch-all-apply
                  (function vla-put-textoverride)
                  (list (vlax-ename->vla-object e) " ")
                ) ;_ vl-catch-all-apply
              ) ;_ while
            ) ;_ lambda
             -1
           )
      ) ;_ and
      (princ)
    ) ;_ defun
    Alan, what does this code do?

Similar Threads

  1. deleting empty layers
    By reyems in forum AutoCAD Beginners' Area
    Replies: 11
    Last Post: 9th Jan 2010, 11:40 pm
  2. Drawing seems empty (although is not)
    By Organic in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 20th Mar 2009, 04:04 pm
  3. dimension style couldn't display properly.
    By ANEV in forum AutoCAD Beginners' Area
    Replies: 0
    Last Post: 5th Nov 2008, 05:25 pm
  4. Dimension display question.
    By RingSteel in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 3
    Last Post: 18th Apr 2008, 12:47 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts